Subject: Re: [X2Go-Dev] Bug#143: nx-libs installs into wrong location

From: Jan Engelhardt <[email-masked]>
Date: Thu, 7 Mar 2013 20:14:44 +0100 (CET)

On Thursday 2013-03-07 19:12, Mike Gabriel wrote:
>> make install \
>>       INSTALL_DIR="install -dm0755" \
>>       INSTALL_FILE="install -pm0644" \
>>       INSTALL_PROGRAM="install -pm0755" \
>>       DESTDIR="/var/tmp/whatever" PREFIX="/usr" \
>>       NXLIBDIR="/usr/lib64/nx" X2GOLIBDIR="/usr/lib/x2go"
>>
>> And at the end of the day, rpm notices the following broken link:
>>
>> [  126s] ERROR: link target doesn't exist (neither in build root nor in
>> installed sys...
>> [  126s]   /usr/lib/x2go/bin/x2goagent -> /usr/lib/nx/bin/nxagent
>>
>> This is because the top-level Makefile does a rather dumb command:
>>
>>       cd $(DESTDIR)$(X2GOLIBDIR)/bin/ && ln -sf ../../nx/bin/nxagent
>> x2goagent
>>
>> so it creates a pointer to a non-existing target.
>
> Thanks for submitting this bug. Any chance you can provide a patch?

This is getting above my head. I already had to endure the silent
introduction of the NXLIBDIR variable..
(it's really not fun if suddenly the entire filelist in .spec or whatever else
is worthless because USRLIBDIR and SHLIBDIR are no longer used)